1. 01 Nov, 2018 1 commit
  2. 31 Oct, 2018 1 commit
  3. 25 Sep, 2018 2 commits
  4. 11 Sep, 2018 1 commit
    • Juan Suárez Romero's avatar
      travis: use python3.5 for meson · d631916f
      Juan Suárez Romero authored
      Newer Meson versions require python >=3.5. But in Trusty default python3
      version is 3.4.x.
      
      Install python3.5 and makes it the default version for Meson using
      update-alternatives method.
      
      CC: Jan Vesely <jano.vesely@gmail.com>
      CC: Andres Gomez <agomez@igalia.com>
      CC: Emil Velikov <emil.l.velikov@gmail.com>
      CC: Jon Turney <jon.turney@dronecode.org.uk>
      CC: Eric Engestrom <eric.engestrom@intel.com>
      CC: Dylan Baker <dylan@pnwbakers.com>
      Fixes: 3824c8e7 "meson: disable asserts by default on release builds"
      Reviewed-by: Eric Engestrom's avatarEric Engestrom <eric.engestrom@intel.com>
      Reviewed-by: Andres Gomez's avatarAndres Gomez <agomez@igalia.com>
      d631916f
  5. 06 Sep, 2018 1 commit
    • Eric Engestrom's avatar
      meson: disable asserts by default on release builds · 3824c8e7
      Eric Engestrom authored
      By the time Mesa 18.3 comes out (probably December '18), Meson 0.45 will
      be 9 months old (March '18), so I think this is reasonable.
      
      (btw, the currently-required Meson 0.44.1 was released less than 12 days
       before 0.45, so we're really not bumping by much.)
      
      Currently, the Meson versions in the major distributions are:
      Arch:     ships 0.47.2
      CentOS:   7 ships 0.47.1
      Debian:   stable ships 0.37.1, so it hasn't been usable in a long time.
                everything more recent ships 0.47.2
      Fedora:   28 ships 0.45.1
      FreeBSD:  ships 0.46.1 (ports)
      Gentoo:   ships 0.46.1
      OpenSUSE: 15 ships 0.46
      Ubuntu:   18.04 ships 0.45.1
      Signed-off-by: Eric Engestrom's avatarEric Engestrom <eric.engestrom@intel.com>
      Reviewed-by: Dylan Baker's avatarDylan Baker <dylan@pnwbakers.com>
      3824c8e7
  6. 24 Aug, 2018 1 commit
  7. 23 Aug, 2018 1 commit
  8. 22 Aug, 2018 1 commit
  9. 13 Aug, 2018 1 commit
  10. 08 Aug, 2018 2 commits
  11. 07 Aug, 2018 3 commits
  12. 03 Aug, 2018 1 commit
  13. 01 Aug, 2018 1 commit
  14. 24 Jul, 2018 1 commit
  15. 21 Jun, 2018 2 commits
  16. 08 Jun, 2018 2 commits
  17. 07 Jun, 2018 1 commit
  18. 05 Jun, 2018 1 commit
  19. 29 May, 2018 1 commit
  20. 18 May, 2018 1 commit
  21. 17 May, 2018 1 commit
  22. 25 Apr, 2018 1 commit
  23. 10 Mar, 2018 1 commit
  24. 05 Mar, 2018 1 commit
  25. 01 Mar, 2018 1 commit
  26. 20 Feb, 2018 2 commits
  27. 05 Feb, 2018 1 commit
  28. 02 Feb, 2018 3 commits
  29. 01 Nov, 2017 1 commit
  30. 16 Oct, 2017 1 commit
  31. 13 Oct, 2017 1 commit
    • Emil Velikov's avatar
      Travis: add binutils 2.26 for a few more LLVM 3.9 builds · a7ecf7b8
      Emil Velikov authored
      Otherwise we error out at link stage as follows:
      
      /usr/lib/llvm-3.9/lib/libLLVMAMDGPUCodeGen.a(R600OptimizeVectorRegisters.cpp.o):
      unrecognized relocation (0x2a) in section
      `.text._ZNK12_GLOBAL__N_119R600VectorRegMerger16getAnalysisUsageERN4llvm13AnalysisUsageE'
      /usr/bin/ld: final link failed: Bad value
      
      Cc: mesa-stable@lists.freedesktop.org
      Cc: Jan Vesely <jan.vesely@rutgers.edu
      Signed-off-by: default avatarEmil Velikov <emil.velikov@collabora.com>
      a7ecf7b8